<?php

    include "MySql.php";
    include "retorno.php";
    $request_method = $_SERVER["REQUEST_METHOD"];

    if($request_method != "GET"){
        $json = array('status'=>0, 'message'=>"Método de acesso inválido");
        returnJSON($json, 405);
    }
    
    $conn = new MySql();
    $estado_id = $conn->real_escape_string($_GET['estado_id']);
    
    if( !is_numeric($estado_id) || $estado_id <= 0){
        $json = array('status'=>0, 'message'=>"Formato de dados inválido");

        returnJSON($json, 400);
        exit;
    }

    $sql = "select * from tb_cidades where estado = $estado_id";
    $result = $conn->query($sql);

    if($result->num_rows == 0){
        $json = array('status'=>0, 'message'=>"Erro ao acessar dados");

        returnJSON($json, 500);
        exit;
    }

    $json = array();
    while( $dados = $result->fetch_assoc() ){
        array_push($json, $dados);
    }

    returnJSON($json, 200);

    exit;
?>